Installation
============

For a standard installation under /usr, please use

./configure --prefix=/usr --sysconfdir=/etc

Explicitly setting $sysconfdir to '/etc' is necessary to install in
compliance with the XDG Base Directory Specification.

It will make sure that the system wide configuration files will be
installed below /etc/xdg/bashrun/ and will thus be found by bashrun at
runtime using the method(s) defined in the XDG Base Directory
Specification.

If you choose to use a $sysconfdir other than /etc you will have to
make sure that the user's XDG_CONFIG_DIRS environment variable
includes the directory $sysconfdir/xdg in order to allow bashrun to
locate the system wide default configuration files at runtime.

Note that if you don't use an explicit --sysconfdir option,
$sysconfdir will default to $prefix/etc and will likely result in the
need to adjust XDG_CONFIG_DIRS as described above.

Runtime dependencies
====================

The following external programs need to be installed on the target
system in order to successfully run bashrun:

bash>=4.1, sed, grep, tput, stty, kill, sleep, ldd, uname, xterm(see below)

The ./configure script only checks for buildtime dependencies. It's up
to the user/packager to make sure that runtime dependencies are
present on the target system. In addition, bashrun will check for and
report missing dependencies when being run.

Default terminals
=================

The default configuration file shipped with bashrun2 assumes xterm to
be available on the target system. If xterm is not available, the user
will be presented with an appropriate error message, recommending to
either install xterm or to set up bashrun2 to use a different
terminal. 

If you want to build bashrun2 using a default terminal other than
xterm, please use the ./configure options

--with-terminal=TERMINAL
--with-exec-terminal=TERMINAL

to specify the default terminal to be used for the terminal to launch
bashrun2 in, as well as the terminal to launch console applications
in. For example, to use urxvt instead of xterm by default:

$ ./configure \
  --prefix=/usr \
  --sysconfdir=/etc \
  --with-terminal='urxvt' \
  --with-exec-terminal='urxvt'

Supported terminals are xterm, urxvt, mrxvt, mlterm and aterm.
